summaryrefslogtreecommitdiff
path: root/scripts/rotdir
diff options
context:
space:
mode:
authormarcellus <msimon_fr@hotmail.com>2023-09-14 22:26:17 +0200
committermarcellus <msimon_fr@hotmail.com>2023-09-14 22:26:17 +0200
commit0e2d387565cb03c41cef33b9ff01eac5a5cb9132 (patch)
tree1bcc8bdf06022ae90874d575040df4cbece28313 /scripts/rotdir
parentc3b97dfe6a6a39974f60411761b8ceba48e1876b (diff)
update: general changes, read the diff
Diffstat (limited to 'scripts/rotdir')
-rw-r--r--scripts/rotdir13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/rotdir b/scripts/rotdir
new file mode 100644
index 0000000..3b3f39d
--- /dev/null
+++ b/scripts/rotdir
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# When I open an image from the file manager in sxiv (the image viewer), I want
+# to be able to press the next/previous keys to key through the rest of the
+# images in the same directory. This script "rotates" the content of a
+# directory based on the first chosen file, so that if I open the 15th image,
+# if I press next, it will go to the 16th etc. Autistic, I know, but this is
+# one of the reasons that sxiv is great for being able to read standard input.
+# ^ this is Luke's toughts and I approve them
+
+[ -z "$1" ] && echo "usage: rotdir regex 2>&1" && exit 1
+base="$(basename "$1")"
+ls "$PWD" | awk -v BASE="$base" 'BEGIN { lines = ""; m = 0; } { if ($0 == BASE) { m = 1; } } { if (!m) { if (lines) { lines = lines"\n"; } lines = lines""$0; } else { print $0; } } END { print lines; }'